package com.ar.arsketch.room;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity(tableName = "image_entry")
public class ImageEntry implements Serializable {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private String imagePath;

    private boolean imageType;

    private boolean favoriteStatus = false;

    public ImageEntry(boolean favoriteStatus, Boolean imageType, String imagePath) {
        this.favoriteStatus = favoriteStatus;
        this.imageType = imageType;
        this.imagePath = imagePath;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getImagePath() {
        return imagePath;
    }

    public boolean getImageType() {
        return imageType;
    }

    public boolean isFavoriteStatus() {
        return favoriteStatus;
    }

    public void setFavoriteStatus(boolean favoriteStatus) {
        this.favoriteStatus = favoriteStatus;
    }
}